> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a skill

> Retrieve an organization skill and all of its files.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public get /v1/skills/{skillId}
openapi: 3.1.0
info:
  title: Tembo Public API
  description: Public API Endpoints for Tembo
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/skills/{skillId}:
    get:
      tags:
        - Skills
      summary: Retrieve a skill
      description: Retrieve an organization skill and all of its files.
      operationId: retrieveSkill
      parameters:
        - in: path
          name: skillId
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          description: Retrieve a skill
          content:
            application/json:
              schema:
                type: object
                properties:
                  createdAt:
                    type: string
                    format: date-time
                  description:
                    type: string
                  id:
                    type: string
                    format: uuid
                  name:
                    type: string
                  updatedAt:
                    type: string
                    format: date-time
                  files:
                    type: array
                    items:
                      type: object
                      properties:
                        content:
                          type: string
                        filename:
                          type: string
                        id:
                          type: string
                          format: uuid
                      required:
                        - content
                        - filename
                        - id
                      additionalProperties: false
                required:
                  - createdAt
                  - description
                  - id
                  - name
                  - updatedAt
                  - files
                additionalProperties: false
        '400':
          description: Validation error or missing resource scope
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: Skill not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: Skill operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````